
Redmine - Defect #21221

Internal server error when copying issues.

2015-11-12 00:46 - Seweryn Getka

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 3.1.1

Description

Internal server error when copying issues. Currently I am using in two places on both Redmine and the problem is the same.

After pressing the icon copying error window pops up.

The data file production.log are as follows:

Started GET "/redmine/issues/282" for 212.14.28.115 at 2015-11-12 00:19:00 +0100

Processing by IssuesController#show as HTML

Parameters: {"id"=>"282"}

Current user: seweryn (id=10)

Rendered issues/_action_menu.html.erb (14.4ms)

Rendered plugins/scrum/app/views/scrum_hooks/issues/_show.html.erb (7.6ms)

Rendered plugins/redmine_issue_checklist/app/views/issue_checklists/_checklist_item.html.erb (4.3ms)

Rendered plugins/redmine_issue_checklist/app/views/issue_checklists/_checklist_item.html.erb (4.7ms)

Rendered plugins/redmine_issue_checklist/app/views/issue_checklists/_checklist_item.html.erb (4.6ms)

Rendered plugins/redmine_issue_checklist/app/views/issues/_checklist.html.erb (27.2ms)

Rendered issue_relations/_form.html.erb (7.0ms)

Rendered issues/_relations.html.erb (10.7ms)

Rendered issues/_action_menu.html.erb (12.8ms)

Rendered issues/_form_custom_fields.html.erb (3.5ms)

Rendered issues/_attributes.html.erb (90.0ms)

Rendered plugins/redmine_issue_checklist/app/views/issues/_checklist_form.html.erb (4.0ms)

Rendered plugins/scrum/app/views/scrum_hooks/issues/_form.html.erb (17.1ms)

Rendered issues/_form.html.erb (178.2ms)

Rendered attachments/_form.html.erb (10.6ms)

Rendered issues/_edit.html.erb (232.1ms)

Rendered plugins/redmine_agile/app/views/agile_boards/_issues_sidebar.html.erb (9.9ms)

Rendered plugins/redmine_agile/app/views/agile_charts/_agile_charts.html.erb (2.2ms)

Rendered plugins/redmine_tagging/app/views/tagging/_tagcloud.erb (16.8ms)

Rendered issues/_sidebar.html.erb (43.4ms)

Rendered watchers/_watchers.html.erb (13.8ms)

Rendered issues/show.html.erb within layouts/base (485.0ms)

Rendered plugins/scrum/app/views/scrum_hooks/_head.html.erb (1.2ms)

Rendered plugins/scrum/app/views/scrum_hooks/_scrum_tips.html.erb (330.4ms)

Completed 200 OK in 1175ms (Views: 904.4ms | ActiveRecord: 45.5ms)

Started GET "/redmine/projects/developerv/issues/282/copy" for 212.14.28.115 at 2015-11-12 00:19:04 +0100

Processing by IssuesController#new as HTML

Parameters: {"project_id"=>"developerv", "copy_from"=>"282"}

Current user: seweryn (id=10)

Completed 500 Internal Server Error in 35ms (ActiveRecord: 2.1ms)

NoMethodError (undefined method `identifier' for nil:NilClass):

app/controllers/issues_controller.rb:409:in `build_new_issue_from_params'

lib/redmine/sudo_mode.rb:63:in `sudo_mode'

The following information data from two servers:

Server #1:

Environment:

Redmine version                3.1.1.stable.14855

Ruby version                   1.9.3-p551 (2014-11-13) [i486-linux]

Rails version                  4.2.4
Environment                    production

Database adapter               Mysql2

SCM:

Subversion                     1.6.6

Darcs                          2.3.0

Mercurial                      1.4.3

Cvs                            1.12.13

Bazaar                         2.1.4

Git                            1.7.0.4

Filesystem

Redmine plugins:

redmine_agile                  1.3.12

redmine_ckeditor               1.1.2

redmine_issue_checklist        2.0.8

redmine_lightbox2              0.2.2

redmine_tagging                0.1.3

redmine_theme_changer          0.2.0

scrum                          0.13.1

Server #2:

Environment:

Redmine version                3.1.1.stable.14855

Ruby version                   2.2.0-p0 (2014-12-25) [x86_64-linux]

Rails version                  4.2.4

Environment                    production

Database adapter               Mysql2

SCM:

Subversion                     1.8.8

Darcs                          2.8.4

Mercurial                      2.8.2

Cvs                            1.12.13

Bazaar                         2.7.0

Git                            1.9.2

Filesystem

Redmine plugins:

redmine_agile                  1.3.12

redmine_ckeditor               1.1.2

redmine_custom_workflows       0.1.0

redmine_issue_checklist        2.0.8

redmine_lightbox2              0.2.2

redmine_tagging                0.1.3

redmine_theme_changer          0.2.0

scrum                          0.13.1

History

#1 - 2015-11-12 03:50 - Toshi MARUYAMA

- Status changed from New to Closed

- Priority changed from High to Normal

- Resolution set to Invalid

Please contact plugin author.

#2 - 2015-12-07 12:16 - Heribert Steuer

Can you please make a note on which plugin caused this issue?
